Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index.pruning
Class CarmelTopKTermPruningPolicy.ByDocComparator

    java.lang.Object
      org.apache.lucene.index.pruning.CarmelTopKTermPruningPolicy.ByDocComparator

All Implemented Interfaces:
  Comparator<ScoreDoc>

Enclosing class:
  CarmelTopKTermPruningPolicy

    public static class CarmelTopKTermPruningPolicy.ByDocComparator

extends Object
implements Comparator<ScoreDoc>

Field Summary
`static CarmelTopKTermPruningPolicy.ByDocComparator` | `INSTANCE`

Constructor Summary
`CarmelTopKTermPruningPolicy.ByDocComparator()`

Method Summary
`int` | `compare(ScoreDoc o1, ScoreDoc o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final CarmelTopKTermPruningPolicy.ByDocComparator INSTANCE

Constructor Detail

### CarmelTopKTermPruningPolicy.ByDocComparator

    public CarmelTopKTermPruningPolicy.ByDocComparator()

Method Detail

### compare

    public int compare(ScoreDoc o1,
                       ScoreDoc o2)

  Specified by:
    `compare` in interface `Comparator<ScoreDoc>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD